using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PDFViewWPFTestCS
{
    /// <summary>
    /// Interaction logic for OpenUrlDlg.xaml
    /// </summary>
    public partial class OpenUrlDlg : Window
    {
        public string URL
        {
            get { return this.m_url.Text; }
        }

        public string Pass
        {
            get { return this.m_pass.Text; }
        }

        public OpenUrlDlg()
        {
            InitializeComponent();
            this.Loaded += OpenUrlDlg_Loaded;
        }

        void OpenUrlDlg_Loaded(object sender, RoutedEventArgs e)
        {
            m_url.Focus();
        }

        private void m_ok_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = true;
            this.Close();
        }

        private void m_cancel_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = false;
            this.Close();
        }
    }
}
